Subject: Rename getComponent() to create() in component factory
.

Associated revisions
Revision c89382bd - 2008-11-03 19:23 - Robert Lemke

    -  FLOW3: (Component) Renamed the method Component::Factory->getComponent() to Component::Factory->create(). Resolves #1846
    -  FLOW3: (Component) Component::Factory->create() will now throw an exception on trying to create a component of scope != prototype
    -  FLOW3: (Component) The Component::Manager->getComponent() method can still be used as a last resort to retrieve components of any scope.
However dependency injection for singletons and the component factory for prototype should always be the first choice!

Refactored all packages of the TYPO3 distribution to match the above changes.

Note: The test "F3::TYPO3CR::NodeTest::setPropertySetsValue" currently fails on my machine with the following message:
Error in setPropertySetsValue with data set #34 Detail
 TYPO3CR/Classes/F3_TYPO3CR_Node.php:577
 Unable to convert value of type string to Name: Namespace prefix is invalid

History
#1 - 2008-10-28 12:58 - Karsten Dambekalns
- Priority changed from Should have to Must have
- Target version set to 1.0 alpha 1

#2 - 2008-11-03 11:56 - Robert Lemke
- % Done changed from 0 to 50

#3 - 2008-11-03 19:25 - Robert Lemke
- Status changed from New to Resolved
- % Done changed from 50 to 100

Applied in changeset r1422.
